# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/glib-genmarshal /usr/bin/glib-mkenums pkgconfig(cairo) pkgconfig(glib-2.0)
# END SourceDeps(oneline)
%define oldname gtk-unico-engine
# %oldname or %version is ahead of its definition. Predefining for rpm 4.0 compatibility.
%define name gtk-unico-engine
%define version 1.0.2
%global engine_name unico
# %global major_version %%(cut -d "." -f 1-2 <<<%{version})
%global revision 139
%global revision_date 20120808

Name:           libgtk-engine-unico
Version:        1.0.2
Release:        alt1_2.20120808bzr139
Summary:        Unico Gtk+ theming engine

Group:          Graphical desktop/Other
License:        LGPLv3
URL:            https://launchpad.net/unico/
# The source for this package was pulled from upstream's VCS. Use the following
# commands to generate the tarball:
# $ bzr export -r %{revision} %{engine_name}-%{version}-bzr%{revision}.tar.xz lp:unico
Source0:        %{engine_name}-%{version}-bzr%{revision}.tar.xz

BuildRequires:  gnome-common
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.5.2
Source44: import.info

%description
Unico is a Gtk+ engine that aims to be the more complete yet powerful theming
engine for Gtk+ 3.0 and newer. Ita.'s the first Gtk+ engine written with Gtk+
style context APIs in mind, using CSS as first class citizen.


%prep
%setup -q -n %{engine_name}-%{version}-bzr%{revision}


%build
[ -f autogen.sh ] && NOCONFIGURE=1 ./autogen.sh
%configure \
  --disable-silent-rules \
  --disable-static
make %{?_smp_mflags}


%install
make install DESTDIR=$RPM_BUILD_ROOT

rm $RPM_BUILD_ROOT%{_libdir}/gtk-3.0/3.0.0/theming-engines/*.la


%files
# TODO: add ChangeLog and README if non-empty
%doc AUTHORS COPYING NEWS
%{_libdir}/gtk-3.0/3.0.0/theming-engines/lib%{engine_name}.so


%changelog
* Fri Jan 11 2013 Igor Vlasenko <viy@altlinux.ru> 1.0.2-alt1_2.20120808bzr139
- initial fc import

